### Method

# GtkSource CompletionProposal get_typed_text

since: 5.6

#### Declaration [src]

    char*
    gtk_source_completion_proposal_get_typed_text (
      GtkSourceCompletionProposal* proposal
    )

#### Description [src]

Gets the typed-text for the proposal, if supported by the implementation.

Implementing this virtual-function is optional, but can be useful to allow external tooling to compare results.

Available since: 5.6

#### Return value

Type: `char*`

A newly allocated string, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.